{
Copyright 2006-2009 John T. Haller of PortableApps.com

Website: http://PortableApps.com/

This software is OSI Certified Open Source Software.
OSI Certified is a certification mark of the Open Source Initiative.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


An exception to the GPL is granted to link this code to specific
non-GPLed DLLs published by PortableApps.com to enable advanced
functionality.
}

program PortableAppsPlatform;

uses
  Windows,
  Dialogs,
  Forms,
  Sysutils,
  main in 'main.pas' {frmMenu},
  about in 'about.pas' {frmAbout},
  variables in 'variables.pas',
  functions in 'functions.pas',
  objects in 'objects.pas',
  renamemenuitem in 'renamemenuitem.pas' {frmRenameMenuItem};

{$R *.RES}

var
  UniqueMessageID: Integer;

begin
  // Define our unique ID based on a long string and our path (we add the path so multiple launchers on multiple USBs still work)
  UniqueMessageID:=RegisterWindowMessage(PAnsiChar('PortableApps.comPlatformWindowMessageToRecallInstance'+Application.ExeName));
  // Check for previous instance via exceedingly long mutex.
  CreateMutex(nil, false, PAnsiChar('PortableApps.comPlatformMutexToRecallInstance'+IntToStr(UniqueMessageID)));
  if GetLastError = ERROR_ALREADY_EXISTS then
  begin
    // Tell our original window to reappear and quit our duplicate one
    SendMessage(HWND_BROADCAST, UniqueMessageID, 0, 0);
    Application.Terminate();
    exit;
  end;
  //UniqueMessageID:=RegisterWindowMessage(PAnsiChar('PortableApps.comPlatformWindowMessageToRefresh'+Application.ExeName));
  //ShowMessage('PortableApps.comPlatformWindowMessageToRefresh'+Application.ExeName);

  Application.Initialize;
  Application.Title := 'PortableApps.com Platform';
  Application.CreateForm(TfrmMenu, frmMenu);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.CreateForm(TfrmRenameMenuItem, frmRenameMenuItem);
  Application.Run;
end.