{
Copyright 2006-2009 John T. Haller of PortableApps.com

Website: http://PortableApps.com/

This software is OSI Certified Open Source Software.
OSI Certified is a certification mark of the Open Source Initiative.

Please see the included license file for the full details on
all included components.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


An exception to the GPL is granted to link this code to
non-GPLed DLLs published by PortableApps.com to enable advanced
functionality.
}

unit about;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, ExtCtrls, variables;

type
  TfrmAbout = class(TForm)
    btnOK: TButton;
    lblCopyright: TLabel;
    lblWindowsInformation: TLabel;
    imgLogo: TImage;
    lblVersion: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

uses main;

{$R *.dfm}

procedure TfrmAbout.btnOKClick(Sender: TObject);
begin
  Close
end;

procedure TfrmAbout.FormCreate(Sender: TObject);
var
	strWindowsName: string;
begin
	frmAbout.Caption:=StringReplace(frmMenu.pmnuitmHelpAbout.caption, '&', '', [rfReplaceAll, rfIgnoreCase]);

	case Win32Platform of
	  VER_PLATFORM_WIN32_WINDOWS:
      begin
		  case Win32MajorVersion of
        4:
          case Win32MinorVersion of
          	0:
            	strWindowsName:='Windows 95 (4.0)';
            10:
	            strWindowsName:='Windows 98 (4.10)';
            90:
	            strWindowsName:='Windows Me (4.90)';
            end;
        end;
		  end;
  	VER_PLATFORM_WIN32_NT:
    begin
		  case Win32MajorVersion of
      	3:
					strWindowsName:='Windows NT (3.51)';
        4:
        	strWindowsName:='Windows NT (4.0)';
        5:
      		case Win32MinorVersion of
          	0:
            	strWindowsName:='Windows 2000 (5.0)';
            1:
	            strWindowsName:='Windows XP (5.1)';
            2:
	            strWindowsName:='Windows 2003 (5.2)';
            end;
        6:
          strWindowsName:='Windows Vista (6.0)';
		  end;
    end;
  end;

	if strWindowsName='' then strWindowsName:='Unknown OS ('+IntToStr(Win32MajorVersion)+'.'+IntToStr(Win32MinorVersion)+')';

  strWindowsName:=strWindowsName+' [Build: '+IntToStr(Win32BuildNumber)+']';

	lblWindowsInformation.Caption:=strWindowsName;
  lblVersion.Caption:='Version '+APPVERSIONFRIENDLY;
end;

end.
